=== debian/changelog ===
bcron (0.10-4) unstable; urgency=medium

  * Write debian/watch
  * Change source package format to quilt, remove manual patches
    application
  * Convert package to use debhelper
  * Use `dh-runit' to install runit scripts and generate log scripts
    (Closes: #832656)
  * Use `dh-buildinfo' to simplify tracking bugs, related to build-tools
  * Avoid need of hand-written maintainer scripts by
    use of `dh-runit' and `dh-sysuser'
  * Drop dietlibc-dev from Build-Depends for now. (Libraries
    depended upon are not compiled for dietlibc anymore.)
  * Remove no longer needed README files
  * Move 'debian/crontab' into 'debian/contrib' for more clean package layout
  * Enable hardening
  * Fix @dircategory in texinfo manual
  * Install `doc-base' document
  * Add Homepage field
  * Bump standards version to 3.9.8 (no changes needed)
  * Remove Section field from `bcron-run' field, since it duplicated one
    defined in first paragraph.
  * Update Vcs-Git and Vcs-Browser fields
  * Convert `debian/copyrigh' to dep5 format
  * Use S:fieldname substitution to avoid duplication in `debian/control'.
    + Add versioned dependency on (dpkg-dev >= 1.18.11)
  * Disable unreliable tests (see: #835274)

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 23 Aug 2016 15:42:04 +0300

bcron (0.10-3) unstable; urgency=medium

  * debian/control: Revert bcron-run: Provides:, Replaces:, Conflicts:
    cron-daemon instead of cron (thx Russ Allbery).
  * debian/control: Provides: cron, cron-daemon.

 -- Gerrit Pape <pape@smarden.org>  Sat, 18 Oct 2014 19:45:39 +0000

bcron (0.10-2) unstable; urgency=low

  * debian/control: bcron-run: Provides:, Replaces:, Conflicts:
    cron-daemon instead of cron (thx Alexandre Detiste, closes: 752506).
  * debian/diff/0006-tests.sh-skip-tests-exec-fds-tests-exec-sim...diff:
    new: tests.sh: skip tests/exec-fds, tests/exec-simple if $HOME does
    not exist.

 -- Gerrit Pape <pape@smarden.org>  Mon, 11 Aug 2014 19:11:21 +0000

bcron (0.10-1) unstable; urgency=low

  * new upstream release 0.10.
    * debian/diff/0004-bcron-exec.c-fix-typo-...diff: remove; fixed
      upstream.
    * debian/diff/0006-tests.sh-export-TZ-CST0-trailing-...diff: remove;
      obsolete.
    * debian/diff/0007-tests.sh-*.diff, 0008-bcron-exec-...diff: remove;
      applied upstream.
  * debian/control: Build-Depends: python, man2html, texinfo.
  * debian/diff/0001-...diff: adapt: remove *.html from TARGET to keep
    them on make clean.
  * debian/rules: ./ChangeLog no longer shipped by upstream, use NEWS.
  * debian/bcron-run.postinst: don't use update-service --add on package
    upgrade; use sv t to restart services on package upgrade.
  * debian/bcron-run.postinst: remove code for package upgrade from
    version 0.09-8 or earlier.
  * debian/control: remove version (>= 1.8.0-2) from Depends: runit.
  * debian/bcron-run.postrm: purge: use sv force-shutdown instead of
    force-stop to take down services; guard deluser against failure.
  * debian/rules: echo /usr/share/doc >conf-man; no longer install man
    pages explicitly.
  * debian/diff/0005-Makefile-don-t-use-Wl-R-bglibs-when-linking...diff:
    new: Makefile: don't use -Wl,-R'$${bglibs}' when linking programs.
  * debian/control: Standards-Version: 3.9.5.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Aug 2014 14:16:45 +0000

bcron (0.09-13) unstable; urgency=medium

  * debian/diff/0008-bcron-exec-Mark-all-temporary-files-close-...diff:
    new; from upstream git; bcron-exec: Mark all temporary files
    close-on-exec and close selfpipe; this fixes a security bug in
    bcron where cron jobs get access to the temporary output files from
    all other jobs that are still running (closes: #686650).

 -- Gerrit Pape <pape@smarden.org>  Wed, 16 Jan 2013 10:13:37 +0000

bcron (0.09-12) unstable; urgency=low

  * debian/rules, debian/bcron.README.Debian: no longer install the
    bcron.info file (closes: #528865).
  * debian/control: bcron: Recommends: default-mta |
    mail-transport-agent; bcron-run: Depends: default-mta |
    mail-transport-agent (thx Jonathan Nieder; closes: #495834).
  * debian/control: Standards-Version: 3.9.2.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Oct 2011 12:41:01 +0000

bcron (0.09-11) unstable; urgency=low

  * debian/bcron-run.postrm: services' supervise dirs are now located in
    /var/lib/supervise/, remove those on purge.
  * debian/rules: no longer include named pipe /var/spool/cron/trigger
    in the bcron-run packages (closes: #552687).
  * debian/bcron-run.postinst: create named pipe /var/spool/cron/trigger
    if it doesn't exist yet, error out if it exists but is not a fifo.
  * debian/bcron-run.postrm: remove /var/spool/cron/trigger on purge.
  * debian/control: Standards-Version: 3.8.3.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 01 Nov 2009 22:50:15 +0000

bcron (0.09-10) unstable; urgency=low

  * debian/control: Build-Depends: libbg1-dev (closes: #482516).

 -- Gerrit Pape <pape@smarden.org>  Sun, 25 May 2008 16:15:18 +0000

bcron (0.09-9) unstable; urgency=low

  * debian/bcron-run.postinst, debian/bcron-run.prerm: use runit's
    update-service program to add/remove services from system-wide service
    supervision, instead of dealing with symlinks in /var/service/ directly.
  * debian/control: package bcron-run: Depends: runit (>= 1.8.0-2) (1st
    version that provides the update-service program).
  * debian/rules: no longer include dangling links for ./supervise/
    subdirectories, update-service now takes care of this.
  * debian/bcron-run.postinst: remove bcron service on upgrade from
    <= 0.09-8, and re-add afterwards through update-service.
  * debian/bcron-run.postrm: purge: adapt paths in /var/run/; force-stop bcron
    services; remove ./supervise/ subdirectories (or symlinks) in service
    directories.
  * debian/control: add Vcs-Git: http://smarden.org/git/bcron.git/.
  * debian/control: Standards-Version: 3.7.3.0.


