=== debian/control ===
Source: bcron
Section: admin
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Uploaders: Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>= 9),
	       dpkg-dev (>= 1.18.11),
	       dh-runit (>= 1.5),
	       dh-sysuser (>= 1.3),
	       dh-buildinfo (>= 0.11+nmu1),
	       libbg1-dev,
	       python,
	       man2html-base,
	       texinfo
Standards-Version: 3.9.8
Homepage: http://untroubled.org/bcron
Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/bcron.git
Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/bcron.git
Short-Desc: Bruce cron system
Long-Desc: This is bcron, a new cron system designed with secure operations in mind.
 To do this, the system is divided into several separate programs, each
 responsible for a separate task, with strictly controlled communications
 between them.  The user interface is a drop-in replacement for similar
 systems (such as vixie-cron), but the internals differ greatly.

Package: bcron
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: bcron-run, runit, ucspi-unix, default-mta | mail-transport-agent
Description: ${S:Short-Desc} (programs)
 ${S:Long-Desc}
 .
 This package contains the bcron programs.

Package: bcron-run
Architecture: all
Depends: bcron, ucspi-unix, default-mta | mail-transport-agent, ${misc:Depends}
Provides: cron, cron-daemon
Replaces: cron
Conflicts: cron
Suggests: runit-init, anacron
Description: ${S:Short-Desc} (integration with runit)
 ${S:Long-Desc}
 .
 This package sets up the bcron services, and replaces the default Debian
 cron package.
