=== debian/rules ===
#!/usr/bin/make -f

# Enabling pie hardening requires recompilation of bglibs, and I would
# prefer to defer this task.
# -- Dmitry Bogatov <KAction@gnu.org> Sun, 14 Aug 2016 13:53:34 +0300
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
include /usr/share/dpkg/buildflags.mk
export CC = gcc

%:
	dh $@ --with runit,buildinfo,sysuser --parallel

override_dh_auto_build:
	rm -f bcron.info
	echo '$(CC) $(CPPFLAGS) $(CFLAGS)' > conf-cc
	echo '$(CC) $(LDFLAGS)' > conf-ld
	dh_auto_build
override_dh_auto_test:
	sh tests.sh
override_dh_auto_install:
	dh_install
override_dh_installchangelogs:
	dh_installchangelogs NEWS
