## bcron 0.11

=== debian/changelog ===
bcron (0.11-9) unstable; urgency=medium

  * Add Gitlab CI config file
  * Patch upstream build system to work with python3 (Closes: #936191)
  * Set upstream metadata fields: Contact, Name.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 30 Aug 2019 23:21:28 +0000

bcron (0.11-8) unstable; urgency=medium

  * Add missing line into package description (Closes: #920200)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 09 Feb 2019 20:58:22 +0000

bcron (0.11-7) unstable; urgency=medium

  * Fix spurious failures in `postinst' maintainer script
  * Move inactive Gerrit Pape maintainer to uploaders list,
    set myself as maintainer (Closes: #907083)

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 22 Jan 2019 21:42:06 +0000

bcron (0.11-6) unstable; urgency=medium

  * Upload to unstable
  * Add missing dependency on $local_fs in initscripts

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 19 Jan 2019 03:32:31 +0000

bcron (0.11-5) experimental; urgency=medium

  * Create sysvinit scripts (Closes: #916295)
  * Update standards version to 4.3.0 (no changes needed)
  * Remove outdated comment in `debian/rules'

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 17 Jan 2019 00:48:51 +0000

bcron (0.11-4) experimental; urgency=medium

  * Build-Depends on latest version of dh-runit, that ensures
    presence of `/etc/runit/runsvdir/default' directory.
  * Fix `postinst' maintainer script (Closes: #916737)
  * Update Vcs-* fields in `debian/control'
  * Fix broken symlink (Closes: #858505)
  * Remove redundant sentence from package long description

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 19 Dec 2018 06:56:59 +0000

bcron (0.11-3) experimental; urgency=medium

  * Merge `bcron' and `bcron-run' package
  * Add apporiate conflict with old revisions of `runit'
  * Make upstream signing key in `debian/upstream' minimal

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 16 Dec 2018 10:12:58 +0000

bcron (0.11-2) unstable; urgency=medium

  * Refresh patches
  * Bump standards version to 4.2.1 (no changes needed)
  * Use https version of upstream website
  * Bump compat version to 11 (no changes needed)
  * Use https when referring to copyright format
  * wrap-and-sort -sta
  * Fix debian/copyright
  * Remove disabled patch 0002-Spool-socket-is-var-run-...
  * Update Vcs-* fields in debian/control
  * Do not run tests if DEB_BUILD_OPTIONS contains 'nocheck'

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 15 Oct 2018 18:29:48 +0000

bcron (0.11-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add tzdata to build-depends to make sure test suite is executed
    correctly (Closes: #897519).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 11 May 2018 12:42:54 +0200

bcron (0.11-1.1) unstable; urgency=medium

  * Non-maintainer uppload
  * Upload to unstable
  * Disable crontab new test, requiring too many tools and tweaks to work
    (Closes: #839443)
  * Install groff package to fix build failure (Closes: #875825)
  * Update std-version to 4.1.2, no changes required
  * Update copyright file (Closes: #880555)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Dec 2017 11:12:18 +0100

bcron (0.11-1) experimental; urgency=medium

  * New upstream release
  * Force dependency on bglibs-2.*
  * Refresh patches
  * Do not assume ${USER} value in tests.sh
  * Restore default bcron-spool socket location
    (Drop 0002-Spool-socket-is-var-run-.bcron-spool-instead-of-var-r.diff)
  * Enable hardening=+pie

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 12 Feb 2017 07:42:37 +0300
