=== debian/control ===
Source: bcron
Section: admin
Priority: optional
Maintainer: Dmitry Bogatov <KAction@debian.org>
Uploaders:
 Gerrit Pape <pape@smarden.org>
Build-Depends:
 debhelper (>= 11~),
 dh-buildinfo (>= 0.11+nmu1),
 dh-runit (>= 2.8.1~),
 dh-sysuser (>= 1.3),
 dpkg-dev (>= 1.18.11),
 groff,
 libbg-dev (>= 2),
 man2html-base,
 python3,
 texinfo,
 tzdata,
Standards-Version: 4.3.0
Homepage: https://untroubled.org/bcron
Vcs-Browser: https://salsa.debian.org/debian/bcron
Vcs-Git: https://salsa.debian.org/debian/bcron.git

Package: bcron
Architecture: any
Provides: cron, cron-daemon, bcron-run
Replaces: cron, bcron-run,
Conflicts: cron, bcron-run (<< 0.11-3~), ${runit:Conflicts}
Depends:
 ucspi-unix,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 default-mta | mail-transport-agent,
 runit,
# Actually, required to run sysvinit script.
 daemon,
Suggests:
 anacron,
 runit-init,
Description: Bruce cron system
 Bruce cron system is designed with secure operations in mind. To do this,
 the system is divided into several separate programs, each responsible for
 a separate task, with strictly controlled communications between them.
 .
 The user interface is a drop-in replacement for similar systems, such as
 vixie-cron, but the internals differ greatly.
