=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
export CC = gcc

define initscript =
	cp debian/contrib/sysvinit/$1 debian/bcron.$1.init
	dh_installinit --name=$1
	rm debian/bcron.$1.init
endef

%:
	dh $@ --with runit,buildinfo,sysuser

override_dh_auto_build:
	rm -f bcron.info
	echo '$(CC) $(CPPFLAGS) $(CFLAGS)' > conf-cc
	echo '$(CC) $(LDFLAGS)' > conf-ld
	dh_auto_build

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	sh tests.sh
else
override_dh_auto_test:
endif

override_dh_auto_install:
	dh_install
	$(call initscript,bcron-update)
	$(call initscript,bcron-sched)
	$(call initscript,bcron-spool)

override_dh_installchangelogs:
	dh_installchangelogs NEWS
