=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
    https://untroubled.org/bcron/archive bcron-(\d[.\d]*)\.tar\.gz
